Package org.opensaml.xacml.ctx

# Interface SubjectType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `SubjectTypeImpl`

public interface SubjectType extends XACMLObject
XACML context Subject schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`SUBJECT_CATEGORY_ATTTRIB_DEFAULT`
Dfeault for the SubjectCategory attribute.
`static final String`
`SUBJECT_CATEGORY_ATTTRIB_NAME`
Name of the SubjectCategory attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<AttributeType>`
`getAttributes()`
Returns the list of attributes in the subject.
`String`
`getSubjectCategory()`
Gets the subjectcategory of the subject.
`void`
`setSubjectCategory(String subjectCategory)`
Sets the subjectcategory.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

static final QName TYPE_NAME
QName of the XSI type.

### SUBJECT_CATEGORY_ATTTRIB_NAME

static final String SUBJECT_CATEGORY_ATTTRIB_NAME
Name of the SubjectCategory attribute.

See Also:
  - Constant Field Values

### SUBJECT_CATEGORY_ATTTRIB_DEFAULT

static final String SUBJECT_CATEGORY_ATTTRIB_DEFAULT
Dfeault for the SubjectCategory attribute.

See Also:
  - Constant Field Values

## Method Details

### getAttributes

List<AttributeType> getAttributes()
Returns the list of attributes in the subject.

Returns:
  the list of attributes in the subject

### getSubjectCategory

String getSubjectCategory()
Gets the subjectcategory of the subject.

Returns:
  The subjectcategory of the subject

### setSubjectCategory

void setSubjectCategory(String subjectCategory)
Sets the subjectcategory.

Parameters:
  `subjectCategory` - Sets the subjectcategory